Cloud Linux You are attempting to install a LOWER mysql version
MySQL Governor Issue: "You are attempting to install a LOWER mysql version than currently installed one"

Symptoms

1) MySQL Governor installation is failed with the following error:
You are attempting to install a LOWER mysql version (...) than currently installed one (...).
This could lead to unpredictable consequences, like fully non working service.
Please, wait until newer version becomes available in CloudLinux repositories.

You can find the full log of MySQL Governor installation in the /usr/share/lve/dbgovernor/governor_install.log file - .
...
2) Due to the same issue, CL Wizard couldn't install the MySQL Governor - the MySQL Governor is marked as 'Skipped' on the dashboard:



Explanation


This error means you are currently running the newer MySQL/MariaDB version than the supported one. The issue may happen because we put the new releases of MySQL/MariaDB into the Beta repository before placing them into Stable repositories; this allows some testing time before the production release. Thus the MySQL/MariaDB version from the vendor repositories might be higher than the appropriate MySQL/MariaDB version from Cloudlinux production repositories.

For example:
You have installed MariaDB 10.3.23, and your attempt to install MySQL Governor ends by the error:
"You are attempting to install a LOWER mariadb version (10.3.22) than currently installed one (10.3.23)."
Your installed MariaDB 10.3.23 should be replaced by the same version of the CL MariaDB server, but the CL production repository provides only version 10.3.22. The required version 10.3.23 is not available there to install.


Solution


You have two options on how to proceed in this case:

  1. If the new MySQL/MariaDB version is available in our beta repository, you should be able to complete MySQL Governor installation by running:

# /usr/share/lve/dbgovernor/mysqlgovernor.py --install-betaYou may check fresh MySQL/MariaDB releases in our CloudLinux Blog.
If the new MySQL or MariaDB version that you need is not available yet from the beta repo, then please wait 1-3 days and recheck the CL Blog (in rare cases, we have some delay due to preparingthe DB release).


2. if you don't wish to use a beta version, you need to wait till the package is moved to the production repository. Usually, it takes around 1-2 weeks for us to go from beta to the production repository.
Once the new version is released to our production repository, then MySQL Governor installation will complete smoothly. Please stay tuned to our blog: https://blog.cloudlinux.com or subscribe to the CL mailing list and monitor the info about the new releases.

:



:
https://cloudlinux.zendesk.com/hc/en...s/360014058219